Bug 1482616 - No desktop keyring for LXQt desktop [NEEDINFO]
Summary: No desktop keyring for LXQt desktop
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-wallet   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1520087 1581463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 17:50 UTC by Quentin Tayssier
Modified: 2019-01-11 16:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (tenk42)


Attachments (Terms of Use)

Description Quentin Tayssier 2017-08-17 17:50:26 UTC
Description of problem:
Desktop environment cannot store and retrieve passwords (keyring functionality).


Version-Release number of selected component (if applicable):
0.11.1

How reproducible: Features not avalaible.



Expected results:
Feature avalaible.



Additional info:
Tested during LXQt testday.

LXQt is not a release-blocking desktop but feature should be avalaible.

This test case is associated with the Fedora_27_Final_Release_Criteria#default-application-functionality release criterion:
Saving passwords to and retrieving passwords from the default keyring must work for all release-blocking desktops.

Comment 1 Raphael Groner 2017-08-18 20:30:50 UTC
It should be possible to use very application that's based on qtkeychain or directly kf5-kwallet. There's a special package lxqt-wallet to provide kwallet like functionality also to native LXQt applications.

Comment 2 Raphael Groner 2018-07-28 19:41:29 UTC
Reporter, is this still an issue?

Comment 3 Raphael Groner 2018-09-01 08:06:41 UTC
Zamir, could you take a look into this?

Comment 4 panina 2018-10-19 09:32:55 UTC
I'm running fedora 28 LXQT 32-bit, and have no GUI wallet.
Probably related is that lxqt-openssh-askpass doesn't start when using ssh.

Comment 5 Zamir SUN 2019-01-11 16:30:17 UTC
(In reply to panina from comment #4)
> I'm running fedora 28 LXQT 32-bit, and have no GUI wallet.
> Probably related is that lxqt-openssh-askpass doesn't start when using ssh.

Can you provide some steps how I can reproduce this?

And, does it work for you in Fedora 29?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.